Subject: [SIP] 183 vs. INFO

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 22 May 2001 05:39:23 +0300

Hello,

We have received several comments on the isup-sip mapping draft. I
believe that it is worthwhile mentioning one of them so that the WG can
think about it (it is a small issue, though).

Right now, signalling other than IAM, ACM, ANM, CON, REL... is
transferred between gateways using INFO. However, since INFO does not
ensure in order delivery, while the session is being established (before
the 200 OK for the INVITE), the draft recommends that 183s are used
instead of INFO.

Actually, the out of order delivery does not represent a problem in
99.9% of the cases. (I cannot think of a situation whn we will have a
problem because of this). Therefore, folks have suggested to recommend
that INFO is used regardless of the state of the establishment of the
call.

It has some advantages over 183:
1) It is a more coherent solution, since (for instance), the INR will be
sent always in an INFO, and not in a 183 or an INFO depending of the
situation. This can simplify implementations.

2) It makes a clar distintion between what is session progress (ACM,
CPGs) and what is a trasfer of PSTN signalling (INR...).

3) It saves one message (INFO-ACK vs. 183-PRACK-200 OK).

Therefore, I think that we should use INFO all the time. This can be
done by only changing one paragraph in the draft (section guidelines for
mapping other ISUP flavors).

If nobody thinks that this is a bad idea we will go ahead and change it.

Best regards,

Gonzalo 
-- 
Gonzalo Camarillo                    Phone :   +1 212 939 71 71
Columbia University                  Mobile:  +358 40 702 35 35
472 Computer Science Building        Fax   :  +358  9 299 30 52
1214 Amsterdam Ave., Mail Code 0401  http://www.hut.fi/~gonzalo
New York, NY 10027                   
USA                              [email-masked]

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.

---

From: "Adam Roach" <[email-masked]>
Date: Tue, 22 May 2001 02:06:33 -0500

> that INFO is used regardless of the state of the establishment of the

Actually, INFO is perfectly ordered once you take into consideration
the requirement that you can have at most one INFO outstanding
at a time. This is a no-brainer. Use INFO.

/a

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 22 May 2001 10:26:14 +0300

Hi,

I agree too. Use INFO.

A question, however: 

How will proxies handle INFOs that are sent, no matter the direction,
before the call is established? If there is a problem, should we define
a Proxy-Require tag ("sipt", or something) to make sure that all proxies
in the path will support this?

Regards,

Christer Holmberg
Ericsson Finland

---

From: "suncz" <[email-masked]>
Date: Tue, 22 May 2001 16:07:32 +0800

Hello,

I want to know the detailed informations of 183 and INFO.

Could you tell me where I can find them?

Thank you in advance .

Best regards,

Yours sincerely,
Chengzhen Sun
-------------------------------------------------

Standardization Department
Mobile Communication R&D Center
China Academy of Telecommunication Technology(CATT)
No.40,Xueyuan Road
Beijing,China
100083
Tel:+8610 62304422EXT227
Fax:+8610 62303127
Mailto:[email-masked]
-------------------------------------------------- 
 
----- Original Message ----- 
From: "Gonzalo Camarillo" <[email-masked]>
To: "sip" <[email-masked]>
Cc: <[email-masked]>; "Jon Peterson" <[email-masked]>
Sent: Tuesday, May 22, 2001 10:39 AM
Subject: [SIP] 183 vs. INFO

> If nobody thinks that this is a bad idea we will go ahead and change it.
ÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÓ†+%ŠËb±ú+r‰íŠ{¢ž^½éh¦g§¶‡í…äˆ>šè¶‡(—ôázÈ©þ)©•éžžÚ+þÉb²Ø¬¶©•§¶‡b±Ë¬²)©•éžžÖ­Š‰ÿjwm¢·œz+ÞiÛâqê'ºw^®ËZØ§ìb²Ø§‚È©ý:,¹»®&Þ¶ˆþÇ§vf¢–Ú,ŠŸâš™^™éí¢»ÿê®zËÿrÏÜ¢[¦n&ÿyÛ°ŠØÿ²æìr¸›{ø§¶›¡Üÿ

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 22 May 2001 11:36:27 +0300

You will find the documentation you need from the IETF SIP WG page.

http://www.ietf.org/html.charters/sip-charter.html

Regards,

Christer Holmberg
Ericsson Finland

suncz wrote:
> N¬–+-ŠÇèÊ'¶)îŠxz÷¥¢™žžÚ¶’ úk¢Ú¢TázÈ©Šjezg§¶Šì–+-ŠËaz™Zqëhv+ºË"š™^™éíjØ¨©Ý¶ŠÞqè¯y§o‰Ç¨žéÝz»-jwbž±ŠËbž"¥:,¹»®&Þ¶ˆ±éÝ™¨¥¶‹"¦)©•éžžÚ+²·ª¹ë-rÇ(–é›‰§»†Ë›±Êâmè§¶›

---

From: "Adam Roach" <[email-masked]>
Date: Tue, 22 May 2001 04:07:51 -0500

> -----Original Message-----
> From: Christer Holmberg [mailto:[email-masked]]

Any proxy, except horribly, HORRIBLY broken ones, will proxy on
unknown methods just fine. This isn't a problem.

/a

---

From: "Brett Tate" <[email-masked]>
Date: Tue, 22 May 2001 14:18:41 -0400

> at a time. This is a no-brainer. Use INFO.

Adam,

Where is the "only one INFO outstanding" requirement 
mentioned?  I haven't noticed it in RFC 2976.  Or 
were you proposing that the isup-sip mapping draft
contain a statement requiring an INFO response before
sending the next INFO request.

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 23 May 2001 08:28:36 +0300

Hi Brett,

This has nothing to do with the INFO method itself, or ISUP-SIP. It is
related to the issue of having overlapping transactions in SIP, no
matter the request method (INVITE is a special case, though).

Regards,

Christer Holmberg
Ericsson Finland

---

From: "Adam Roach" <[email-masked]>
Date: Wed, 23 May 2001 02:59:13 -0500

> From: Brett Tate [mailto:[email-masked]]
> 

This is a specialized restatment of the SIP WG decision that
(except for INVITE, which may be pending while other transactions
complete, and CANCEL, which may complete while other transactions
are pending), no two transactions in the same leg in the same
direction may overlap.

/a

---

From: "Arunachalam Venkatraman" <[email-masked]>
Date: Wed, 23 May 2001 08:44:26 -0500

Adam
Where are the working group decisisons recorded?
It is useful to have access to these nuggests.
Venkat
----- Original Message -----
From: "Adam Roach" <[email-masked]>
To: <[email-masked]>; <[email-masked]>; "'sip'"
<[email-masked]>
Sent: Wednesday, May 23, 2001 2:59 AM
Subject: RE: [SIP] RE: 183 vs. INFO

---

From: Jean-Francois Mule <[email-masked]>
Date: Wed, 23 May 2001 13:19:12 -0700

Gonzalo Camarillo wrote:
> Therefore, folks have suggested to recommend

As you know, I support this change of using the INFO instead of 183,
specifically for the 2 reasons invoked above.
Jean-Francois.